; Smooth_text.inc v1.0
; 21/11/2002
; by pacHa [pacha07@caramail.com]

; input = hl holds the address of a $ff terminated string,
;         $8015 and $8016 hold the position of the cursor

; output = the text pointed by hl is displayed smoothly
;	     $8015 and $8016 are updated

; Using :
; - set $8015 and $8016 correctly
; - let hl point point a $ff terminated string
; - store the delay into a (0 to $ff)
; - call smooth
: - insert a line ".include Stext.inc", of course

; If the text is longer than the whole screen, it will scroll.

; You can use freely this routine, as long as you give me credits 
; and you send me an e-mail explaining what you use this routine for.
; pacHa : pacha07@caramail.com


; [Smooth_text] [ACE, Ash and CrASH]
; [20 bytes]

smooth:
	set	2,(iy+$0d)		; make it scroll !
	ld	c,a
_loop:
	ld	a,(hl)
	cp	$ff
	ret	z
	CALL	TX_CHARPUT
	ld	a,c
	ld	b,a
__loop:
	halt
	djnz	__loop
	inc	hl
	jr	_loop


